<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" (dict "active" "search" "routeSuffix" .routeSuffix "role" .role)}}

  <div class="col-span-7 sm:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    {{template "partials/headnav" .}}

    <h1 class="text-2xl font-medium mb-5">{{.bvvData.Naam}}</h1>

    <p class="mb-7">
      <a class="inline-flex items-center text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 mr-1 shadow-sm align-middle"
        href="/vreemdelingen/{{.bvvData.Id}}/edit{{.routeSuffix}}">
        <svg class="w-4 h-4 mr-2 -ml-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
          <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
            d="M4 20h4L18.5 9.5a2.828 2.828 0 1 0-4-4L4 16v4m9.5-13.5l4 4" />
        </svg>
        Wijzig gegevens
      </a>

      <button
        class="text-orange-700 border border-orange-700 hover:bg-orange-700 hover:text-white focus:ring-4 focus:outline-none focus:ring-orange-300 font-medium rounded-lg text-sm p-2.5 text-center inline-flex items-center align-middle"
        type="button" hx-get="/TODO{{.routeSuffix}}" hx-target="body" hx-push-url="true"
        hx-confirm="Weet je zeker dat je alle gegevens wilt inzien? Deze functie is alleen bestemd voor noodsituaties. Gebruik ervan wordt geregistreerd.">
        <svg class="w-5 h-5 mr-2" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
          <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
            d="M12 9v4m-1.637-9.409L2.257 17.125a1.914 1.914 0 0 0 1.636 2.871h16.214a1.914 1.914 0 0 0 1.636-2.87L13.637 3.59a1.914 1.914 0 0 0-3.274 0zM12 16h.01" />
        </svg>
        <span>Bekijk alle gegevens</span>
      </button>
    </p>


    <div class="grid grid-cols-12">
      <h4 class="col-span-12 text-gray-500 text-sm uppercase mb-3">Gegevens uit de BVV</h4>

      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-5 text-gray-600 font-medium break-words">Naam</p>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5">
        {{.bvvData.Naam}}
      </div>

      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-5 text-gray-600 font-medium break-words">
        Vreemdelingnummer</p>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5">
        <span class="font-mono text-sm px-2 py-1 rounded bg-slate-200">{{.bvvData.Id}}</span>
      </div>

      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-7 text-gray-600 font-medium break-words">
        Geboortedatum</p>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-8">
        {{formatDate .bvvData.Geboortedatum.Time}}
      </div>


      <h4 class="col-span-12 text-gray-500 text-sm uppercase mb-3">Processen</h4>

      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-7 text-gray-600 font-medium break-words">
        Notificaties bij procesupdates</p>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5">
        <label class="relative inline-flex items-start cursor-pointer">
          <input type="checkbox" value="" class="sr-only peer" checked>
          <div
            class="shrink-0 w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-sky-200 rounded-full peer peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:start-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:w-5 after:h-5 after:transition-all peer-checked:bg-emerald-600 mr-3">
          </div>
          Ontvang notificaties bij procesupdates van deze persoon
        </label>
      </div>

      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-7 text-gray-600 font-medium break-words">Aanwezige
        processen</p>
      <ul class="col-span-12 sm:col-span-7 md:col-span-8 mb-2">
        <li>
          <a class="group block px-2.5 py-1.5 rounded-md mb-2 -mx-2.5 -mt-1.5 hover:bg-blue-50"
            href="/vreemdelingen/{{.bvvData.Id}}/processen/TODOprocesID{{.routeSuffix}}">
            <span class="block font-medium mb-0.5 group-hover:text-blue-900">Inbewaringstelling</span>
            <span class="block text-sm text-gray-500 mb-1.5">Toegevoegd door Fictieve Nationale Politie op 10 december
              2023</span>
            <span class="inline-block bg-blue-100 text-blue-800 text-sm font-medium px-2.5 py-1 rounded">In
              behandeling</span>
          </a>
        </li>
      </ul>

      <p class="col-span-12 sm:col-span-7 md:col-span-8 sm:col-start-6 md:col-start-5 mb-8"><a
          class="inline-flex items-center text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-2.5 py-1.5 shadow-sm"
          href="/vreemdelingen/{{.bvvData.Id}}/processen/new{{.routeSuffix}}">
          <svg class="w-4 h-4 mr-2 -ml-0.5" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
            <path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
              d="M12 5v14m-7-7h14" />
          </svg>
          Voeg een proces toe
        </a></p>


      <h4 class="col-span-12 text-gray-500 text-sm uppercase mb-3">Gegevens uit Sigma</h4>

      {{range .rubrieken}}
      {{$rubriekLabelToAdd := .Label}}
      {{range .Attributes}}
      {{if stringIn $.role.Permissions.Rubrieken.Get .Name}}

      {{with $rubriekLabelToAdd}}
      <h5 class="col-span-12">{{.}}</h5>
      {{$rubriekLabelToAdd = ""}}
      {{end}}

      <p class="col-span-12 sm:col-span-5 md:col-span-4 sm:pr-2 sm:mb-5 text-gray-600 font-medium break-words">
        {{.Label}}</p>
      <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5">
        {{if or (eq .Type "text") (eq .Type "textarea") (eq .Type "checkboxes") (eq .Type "radios") (eq .Type "select")
        (eq .Type "number") (eq .Type "boolean")}}
        {{template "partials/attribute-rubriek" (dict "type" .Type "data" (index $.sigmaData .Name))}}
        {{else}}
        <p class="text-gray-500">(Onbekend type veld)</p>
        {{end}}
      </div>
      {{end}}
      {{end}}
      {{end}}
    </div>

  </div>
</div>
